- [HTTP request](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.content/deidentify#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.content/deidentify#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.content/deidentify#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.content/deidentify#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.content/deidentify#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.content/deidentify#body.aspect)
- [Try it!](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.content/deidentify#try-it)

De-identifies potentially sensitive info from a ContentItem. This method has limits on input size and output size. See <https://docs.cloud.google.com/sensitive-data-protection/docs/deidentify-sensitive-data> to learn more.

When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4 us eu in   
`POST https://dlp.googleapis.com/v2/{parent=projects/*}/content:deidentify`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://docs.cloud.google.com/sensitive-data-protection/docs/specifying-location): - Projects scope, location specified: `projects/{projectId}/locations/{locationId}` - Projects scope, no location specified (defaults to global): `projects/{projectId}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3 Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `serviceusage.services.use` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deidentifyConfig": { object (`https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.deidentifyTemplates#DeidentifyTemplate.DeidentifyConfig`) }, "inspectConfig": { object (`https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/InspectConfig`) }, "item": { object (`https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/ContentItem`) }, "inspectTemplateName": string, "deidentifyTemplateName": string, "locationId": string } ``` |

| Fields ||
|---|---|
| `deidentifyConfig` | ``object (`https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.deidentifyTemplates#DeidentifyTemplate.DeidentifyConfig`)`` Configuration for the de-identification of the content item. Items specified here will override the template referenced by the deidentifyTemplateName argument. |
| `inspectConfig` | ``object (`https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/InspectConfig`)`` Configuration for the inspector. Items specified here will override the template referenced by the inspectTemplateName argument. |
| `item` | ``object (`https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/ContentItem`)`` The item to de-identify. Will be treated as text. This value must be of type `https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/ContentItem#Table` if your `https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.content/deidentify#body.request_body.FIELDS.deidentify_config` is a `https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.deidentifyTemplates#DeidentifyTemplate.RecordTransformations` object. |
| `inspectTemplateName` | `string` Template to use. Any configuration directly specified in inspectConfig will override those set in the template. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged. |
| `deidentifyTemplateName` | `string` Template to use. Any configuration directly specified in deidentifyConfig will override those set in the template. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged. |
| `locationId` | `string` Deprecated. This field has no effect. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/DeidentifyContentResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).